using Ninject;
using Ninject.Extensions.ChildKernel;
using VisionBuilder.UI.Common;
using VisionBuilder.UI.Console;

namespace VisionBuilder.UI.Statistics;

public static class ModuleExtensions
{
    public static IKernel UseConsole(this IKernel self)
    {
        self.Bind<VisionBuilderConsoleSettings, ISettings>().ToConstant(new VisionBuilderConsoleSettings());
        self.RegisterModule<VisionBuilderConsole>();
        return self;
    }
}